---
name: Bug report
about: Create a report to help us improve
title: ""
labels: bug
assignees: ""
---

!! Please fill in this template, DO NOT ignore or delete it. !!

**I tried basic troubleshooting first**

- [ ] Updated **both** [SignTools](https://github.com/SignTools/SignTools) **and** the builder ([SignTools-CI](https://github.com/SignTools/SignTools-CI) or [SignTools-Builder](https://github.com/SignTools/SignTools-Builder)) to the latest version
- [ ] Read through the [FAQ page](https://github.com/SignTools/SignTools/blob/master/FAQ.md)

**Describe the bug**

A clear and concise description of what the bug is.

**To reproduce**

Steps to reproduce the behavior:

1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Expected behavior**

A clear and concise description of what you expected to happen.

**Logs**

If possible, please include logs.

- For SignTools Heroku, check [how to retrieve logs via the UI](https://devcenter.heroku.com/articles/logging#log-retrieval-via-the-ui).
- For SignTools self-hosted, the logs will be printed in your terminal.
- For SignTools-CI, check [how to use workflow run logs](https://docs.github.com/en/actions/monitoring-and-troubleshooting-workflows/using-workflow-run-logs). You can also click the "Status" button on any app in the web interface.

**Screenshots**

If applicable, add screenshots to help explain your problem.

**System configuration**

- SignTools version: [e.g. 2.1.1]
- Installation type: [heroku, computer, phone; nginx, ngrok, cloudflared]
- Builder type: [SignTools-CI, SignTools-Builder]
- Builder version: [e.g. 1.0.0 for SignTools-Builder; the latest commit hash of your repo for SignTools-CI, e.g. 03e0ed9]

**Additional context**

Add any other context about the problem here.
